      subroutine prod_sym(sim1,sim2,sim3)
!
! En entree :
! sim1,sim2        2 operations de symetrie telles que donnees dans seward
! exemple          sim1='Z',sim2='XZ'
! 
! En sortie   
! sim3             produit sim1*sim2
! dans cet exemple sim3= 'X'
!
      character(*) sim1,sim2,sim3
      character(6) c
      logical yw
      yw=.false.
      c=trim(sim1)//trim(sim2)
      nx=0
      ny=0
      nz=0
      n=0
      l=len_trim(c)
      do k=1,l
         if(index(c(k:k),'X')/=0) nx=nx+1
         if(index(c(k:k),'Y')/=0) ny=ny+1
         if(index(c(k:k),'Z')/=0) nz=nz+1
      enddo
      sim3=' '
      if(nx==1) then
         n=n+1
         sim3(n:n)='X'
      endif
      if(ny==1) then
         n=n+1
         sim3(n:n)='Y'
      endif
      if(nz==1) then
         n=n+1
         sim3(n:n)='Z'
      endif
      if(yw)print'(a,8a4)','sim1,sim2,sim3 ',sim1,sim2,sim3
      return
      end

